Name:		libsvg-cairo
Version:	0.1.6
Release:	1%{?dist}
Summary:	Render CVG content using cairo
URL:		http://cairographics.org/libsvg
License:	LGPL
Group:		System Environment/Libraries
Source0:	http://cairographics.org/snapshots/%{name}-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  libsvg-devel cairo-devel

%description
libsvg-cairo provides the ability to render SVG content from files or
buffers. All rendering is performed using the cairo rendering library.

%package devel
Summary:	Development components for libsvg-cairo
Group:		Development/Libraries
Requires:       %{name} = %{version}-%{release} 
Requires:	libsvg-devel

%description devel
Development libraries and headers for libsvg-cairo.

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
rm -rf $RPM_BUILD_ROOT
make DESTDIR=$RPM_BUILD_ROOT install
rm -rf $RPM_BUILD_ROOT%{_libdir}/*.la

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root)
%doc AUTHORS ChangeLog COPYING NEWS README
%{_libdir}/*.so.*

%files devel
%defattr(-,root,root)
%{_libdir}/pkgconfig/%{name}.pc
%{_libdir}/*.a
%{_libdir}/*.so
%{_includedir}/svg-cairo.h

%changelog
* Sun Jul 30 2006 Eddy Nigg <eddy_nigg@startcom.org>
- Rebuild for StartCom Linux 5.0.x

* Tue Feb 21 2006 Tom "spot" Callaway <tcallawa@redhat.com> 0.1.6-1
- initial package
